-- 2023/09/22  13:00:00
-- Machining Exit for Saomad-KAIROS machine

-- Intestazioni
require( 'EgtBase')
_ENV = EgtProtectGlobal()
EgtEnableDebug( false)

--------------------------------------------------------------------------------
-- *** Uscita da Lavorazioni ***

-- Nascondo il pezzo così marcato e le geometrie aggiunte, visualizzo il Box
local function ProcessPart( PartId)
   -- visualizzo il Box
   EgtSetStatus( EgtGetFirstNameInGroup( PartId, 'Box') or GDB_ID.NULL, GDB_ST.ON)
end

-- Disabilito segnalazione modifica progetto
local bEnMod = EgtGetEnableModified() 
EgtDisableModified()

-- Processo i pezzi nella radice (già chiusi tutti i gruppi di lavoro)
local PartId = EgtGetFirstPart()
while PartId do
   ProcessPart( PartId)
   PartId = EgtGetNextPart( PartId)
end

EgtZoom( SCE_ZM.ALL, false)

-- Ripristino segnalazione modifica progetto
if bEnMod then
   EgtEnableModified()
end

MACH.ERR = 0
